package com.example.seriousgame2;


import android.os.Bundle;
import android.app.Activity;
import android.app.AlertDialog;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.support.v4.app.NavUtils;
import android.annotation.TargetApi;
import android.content.DialogInterface;
import android.os.Build;

public class ApprendreActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_apprendre);
		// Show the Up button in the action bar.
		setupActionBar();
		onStart(findViewById(android.R.id.content));
	}

	/**
	 * Set up the {@link android.app.ActionBar}, if the API is available.
	 */
	@TargetApi(Build.VERSION_CODES.HONEYCOMB)
	private void setupActionBar() {
		if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.HONEYCOMB) {
			getActionBar().setDisplayHomeAsUpEnabled(true);
		}
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.apprendre, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		switch (item.getItemId()) {
		case android.R.id.home:
			// This ID represents the Home or Up button. In the case of this
			// activity, the Up button is shown. Use NavUtils to allow users
			// to navigate up one level in the application structure. For
			// more details, see the Navigation pattern on Android Design:
			//
			// http://developer.android.com/design/patterns/navigation.html#up-vs-back
			//
			NavUtils.navigateUpFromSameTask(this);
			return true;
		}
		return super.onOptionsItemSelected(item);
	}
	
	public void onStart(View view){
		AlertDialog.Builder builder = new AlertDialog.Builder(this);
		builder.setMessage(R.string.debut_def)
	       		.setPositiveButton(R.string.continuer, new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialog, int id) {
            	dialog.cancel();
            }
        });

		AlertDialog dialog = builder.create();
		dialog.show();
	}
	
	public void onDeclaration(View view){
		AlertDialog.Builder builder = new AlertDialog.Builder(this);
		builder.setMessage(R.string.declaration_def)
	       		.setTitle(R.string.declaration)
	       		.setPositiveButton(R.string.continuer, new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialog, int id) {
            	dialog.cancel();
            }
        });

		AlertDialog dialog = builder.create();
		dialog.show();
	}
	
	public void onLettre(View view){
		AlertDialog.Builder builder = new AlertDialog.Builder(this);
		builder.setMessage(R.string.lettre_def)
	       		.setTitle(R.string.lettre)
	       		.setPositiveButton(R.string.continuer, new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialog, int id) {
            	dialog.cancel();
            }
        });

		AlertDialog dialog = builder.create();
		dialog.show();
	}
	
	public void onAvis(View view){
		AlertDialog.Builder builder = new AlertDialog.Builder(this);
		builder.setMessage(R.string.avis_def)
	       		.setTitle(R.string.avis)
	       		.setPositiveButton(R.string.continuer, new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialog, int id) {
            	dialog.cancel();
            }
        });

		AlertDialog dialog = builder.create();
		dialog.show();
	}
	
	public void onSigint(View view){
		AlertDialog.Builder builder = new AlertDialog.Builder(this);
		builder.setMessage(R.string.sigint_def)
	       		.setTitle(R.string.sigint)
	       		.setPositiveButton(R.string.continuer, new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialog, int id) {
            	dialog.cancel();
            }
        });

		AlertDialog dialog = builder.create();
		dialog.show();
	}
	
	public void onConsint(View view){
		AlertDialog.Builder builder = new AlertDialog.Builder(this);
		builder.setMessage(R.string.consint_def)
	       		.setTitle(R.string.consint)
	       		.setPositiveButton(R.string.continuer, new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialog, int id) {
            	dialog.cancel();
            }
        });

		AlertDialog dialog = builder.create();
		dialog.show();
	}
	
	public void onCclapp(View view){
		AlertDialog.Builder builder = new AlertDialog.Builder(this);
		builder.setMessage(R.string.cclapp_def)
	       		.setTitle(R.string.cclapp)
	       		.setPositiveButton(R.string.continuer, new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialog, int id) {
            	dialog.cancel();
            }
        });

		AlertDialog dialog = builder.create();
		dialog.show();
	}
	
	public void onCclint(View view){
		AlertDialog.Builder builder = new AlertDialog.Builder(this);
		builder.setMessage(R.string.cclint_def)
	       		.setTitle(R.string.cclint)
	       		.setPositiveButton(R.string.continuer, new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialog, int id) {
            	dialog.cancel();
            }
        });

		AlertDialog dialog = builder.create();
		dialog.show();
	}
	
	public void onCclappin(View view){
		AlertDialog.Builder builder = new AlertDialog.Builder(this);
		builder.setMessage(R.string.cclappin_def)
	       		.setTitle(R.string.cclappin)
	       		.setPositiveButton(R.string.continuer, new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialog, int id) {
            	dialog.cancel();
            }
        });

		AlertDialog dialog = builder.create();
		dialog.show();
	}
	
	public void onOrdo(View view){
		AlertDialog.Builder builder = new AlertDialog.Builder(this);
		builder.setMessage(R.string.ordo_def)
	       		.setTitle(R.string.ordo)
	       		.setPositiveButton(R.string.continuer, new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialog, int id) {
            	dialog.cancel();
            }
        });

		AlertDialog dialog = builder.create();
		dialog.show();
	}
	
	public void onDepot(View view){
		AlertDialog.Builder builder = new AlertDialog.Builder(this);
		builder.setMessage(R.string.depot_def)
	       		.setTitle(R.string.depot)
	       		.setPositiveButton(R.string.continuer, new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialog, int id) {
            	dialog.cancel();
            }
        });

		AlertDialog dialog = builder.create();
		dialog.show();
	}
	
	public void onAud(View view){
		AlertDialog.Builder builder = new AlertDialog.Builder(this);
		builder.setMessage(R.string.audience_def)
	       		.setTitle(R.string.audience)
	       		.setPositiveButton(R.string.continuer, new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialog, int id) {
            	dialog.cancel();
            }
        });

		AlertDialog dialog = builder.create();
		dialog.show();
	}
	
	public void onArret(View view){
		AlertDialog.Builder builder = new AlertDialog.Builder(this);
		builder.setMessage(R.string.arret_def)
	       		.setTitle(R.string.arret)
	       		.setPositiveButton(R.string.continuer, new DialogInterface.OnClickListener() {
            @Override
            public void onClick(DialogInterface dialog, int id) {
            	dialog.cancel();
            }
        });

		AlertDialog dialog = builder.create();
		dialog.show();
	}
}
