package com.example.seriousgame2;

import java.util.Timer;
import java.util.TimerTask;
import android.os.Bundle;
import android.os.Handler;
import android.app.Activity;
import android.app.AlertDialog;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.support.v4.app.NavUtils;
import android.annotation.TargetApi;
import android.content.DialogInterface;
import android.os.Build;

public class EnferActivity extends Activity {
	
	int Min = 0;
	int Max = 11;
	int ordre;
	int nb_essais;
	
	long start, end, elapsed;
	
	final Handler handler = new Handler(); 
	final Timer timer = new Timer();
	final Runnable doHide = new Runnable() {
	    @Override
	    public void run() {
	        hideButtons(Min + (int)(Math.random() * ((Max - Min) + 1)));
	    }
	};
	
	final Runnable doShow = new Runnable() {
	    @Override
	    public void run() {
	        showButtons(Min + (int)(Math.random() * ((Max - Min) + 1)));
	    }
	};

	public void show_hide(){
	    for (int i = 1; i <= 1000; i++) {
	        TimerTask task = new TimerTask() {
	            @Override
	            public void run() {
	                handler.post(doHide);
	                handler.post(doShow);
	            }
	        };
	        timer.schedule(task, i * 350); 
	    }
	}
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_enfer);
		// Show the Up button in the action bar.
		setupActionBar();
		
		ordre=0;
		
		View b1 = findViewById(R.id.button1); b1.setVisibility(View.INVISIBLE);
		View b2 = findViewById(R.id.button2); b2.setVisibility(View.INVISIBLE);
		View b3 = findViewById(R.id.button3); b3.setVisibility(View.INVISIBLE);
		View b4 = findViewById(R.id.button4); b4.setVisibility(View.INVISIBLE);
		View b5 = findViewById(R.id.button5); b5.setVisibility(View.INVISIBLE);
		View b6 = findViewById(R.id.button6); b6.setVisibility(View.INVISIBLE);
		View b7 = findViewById(R.id.button7); b7.setVisibility(View.INVISIBLE);
		View b8 = findViewById(R.id.button8); b8.setVisibility(View.INVISIBLE);
		View b9 = findViewById(R.id.button9); b9.setVisibility(View.INVISIBLE);
		View b10 = findViewById(R.id.button10); b10.setVisibility(View.INVISIBLE);
		View b11 = findViewById(R.id.button11); b11.setVisibility(View.INVISIBLE);
		View b12 = findViewById(R.id.button12); b12.setVisibility(View.INVISIBLE);
		
		View t1 = findViewById(R.id.textView1); t1.setVisibility(View.INVISIBLE);
	}

	/**
	 * Set up the {@link android.app.ActionBar}, if the API is available.
	 */
	@TargetApi(Build.VERSION_CODES.HONEYCOMB)
	private void setupActionBar() {
		if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.HONEYCOMB) {
			getActionBar().setDisplayHomeAsUpEnabled(true);
		}
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.enfer, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		switch (item.getItemId()) {
		case android.R.id.home:
			// This ID represents the Home or Up button. In the case of this
			// activity, the Up button is shown. Use NavUtils to allow users
			// to navigate up one level in the application structure. For
			// more details, see the Navigation pattern on Android Design:
			//
			// http://developer.android.com/design/patterns/navigation.html#up-vs-back
			//
			NavUtils.navigateUpFromSameTask(this);
			return true;
		}
		return super.onOptionsItemSelected(item);
	}
	
	//Notification quand on perd
		public void testNbEssais(View view){
			if(nb_essais ==0){
				AlertDialog.Builder builder = new AlertDialog.Builder(this);
				builder.setTitle(R.string.perdu)
		       			.setPositiveButton(R.string.ok, new DialogInterface.OnClickListener() {
		       				@Override
		       				public void onClick(DialogInterface dialog, int id) {
		       					dialog.cancel();
		       				}
		       			})
		       			.setNegativeButton(R.string.restart, new DialogInterface.OnClickListener() {
		       				@Override
		       				public void onClick(DialogInterface dialog, int id) {
		       					restart();
		       				}
		       			});

				AlertDialog dialog = builder.create();
				dialog.show();
			}else{
				AlertDialog.Builder builder = new AlertDialog.Builder(this);
				builder.setTitle("Raté!")
						.setMessage("Il vous reste "+nb_essais+" essais...")
		       			.setPositiveButton(R.string.continuer, new DialogInterface.OnClickListener() {
		       				@Override
		       				public void onClick(DialogInterface dialog, int id) {
		       					dialog.cancel();
		       				}
		       			})
		       			.setNegativeButton(R.string.restart, new DialogInterface.OnClickListener() {
		       				@Override
		       				public void onClick(DialogInterface dialog, int id) {
		       					restart();
		       				}
		       			});

				AlertDialog dialog = builder.create();
				dialog.show();
			}
			
		}
		
		public void showGagne(View view){
			AlertDialog.Builder builder = new AlertDialog.Builder(this);
			end = System.currentTimeMillis();
			elapsed = (end - start)/1000;
			builder.setTitle(R.string.gagne)
					.setMessage("Vous avez gagné en "+elapsed+" secondes")
		    		.setPositiveButton(R.string.ok, new DialogInterface.OnClickListener() {
		       		@Override
		       			public void onClick(DialogInterface dialog, int id) {
		       				finish();
		       			}
		    		})
		    		.setNegativeButton(R.string.restart, new DialogInterface.OnClickListener() {
		       				@Override
		       				public void onClick(DialogInterface dialog, int id) {
		       					restart();
		       				}
		       		});

			AlertDialog dialog = builder.create();
			dialog.show();
		}
		
		
		public void startGame(View view){
			ordre = 0;
			nb_essais = 10;
			
			start = System.currentTimeMillis();
			
			View b1 = findViewById(R.id.button1); b1.setVisibility(View.VISIBLE);
			View b2 = findViewById(R.id.button2); b2.setVisibility(View.VISIBLE);
			View b3 = findViewById(R.id.button3); b3.setVisibility(View.VISIBLE);
			View b4 = findViewById(R.id.button4); b4.setVisibility(View.VISIBLE);
			View b5 = findViewById(R.id.button5); b5.setVisibility(View.VISIBLE);
			View b6 = findViewById(R.id.button6); b6.setVisibility(View.VISIBLE);
			View b7 = findViewById(R.id.button7); b7.setVisibility(View.VISIBLE);
			View b8 = findViewById(R.id.button8); b8.setVisibility(View.VISIBLE);
			View b9 = findViewById(R.id.button9); b9.setVisibility(View.VISIBLE);
			View b10 = findViewById(R.id.button10); b10.setVisibility(View.VISIBLE);
			View b11 = findViewById(R.id.button11); b11.setVisibility(View.VISIBLE);
			View b12 = findViewById(R.id.button12); b12.setVisibility(View.VISIBLE);
			
			View b13 = findViewById(R.id.button13); b13.setVisibility(View.INVISIBLE);
			
			View t1 = findViewById(R.id.textView1); t1.setVisibility(View.VISIBLE);
			
			show_hide();
		}
		
		public void restart(){
			ordre = 0;
			nb_essais = 10;
			
			start = System.currentTimeMillis();
			
			Button btn0=(Button)findViewById(R.id.button1); btn0.setEnabled(true);
			Button btn1=(Button)findViewById(R.id.button2); btn1.setEnabled(true);
			Button btn2=(Button)findViewById(R.id.button3); btn2.setEnabled(true);
			Button btn3=(Button)findViewById(R.id.button4); btn3.setEnabled(true);
			Button btn4=(Button)findViewById(R.id.button5); btn4.setEnabled(true);
			Button btn5=(Button)findViewById(R.id.button6); btn5.setEnabled(true);
			Button btn6=(Button)findViewById(R.id.button7); btn6.setEnabled(true);
			Button btn7=(Button)findViewById(R.id.button8); btn7.setEnabled(true);
			Button btn8=(Button)findViewById(R.id.button9); btn8.setEnabled(true);
			Button btn9=(Button)findViewById(R.id.button10); btn9.setEnabled(true);
			Button btn10=(Button)findViewById(R.id.button11); btn10.setEnabled(true);
			Button btn11=(Button)findViewById(R.id.button12); btn11.setEnabled(true);
		}
		
		public void hideButtons(int indice){
			switch(indice){
			case 0:
				View b1 = findViewById(R.id.button1); b1.setVisibility(View.INVISIBLE);
				break;
			case 1:
				View b2 = findViewById(R.id.button2); b2.setVisibility(View.INVISIBLE);
				break;
			case 2:
				View b3 = findViewById(R.id.button3); b3.setVisibility(View.INVISIBLE);
				break;
			case 3:
				View b4 = findViewById(R.id.button4); b4.setVisibility(View.INVISIBLE);
				break;
			case 4:
				View b5 = findViewById(R.id.button5); b5.setVisibility(View.INVISIBLE);
				break;
			case 5:
				View b6 = findViewById(R.id.button6); b6.setVisibility(View.INVISIBLE);
				break;
			case 6:
				View b7 = findViewById(R.id.button7); b7.setVisibility(View.INVISIBLE);
				break;
			case 7:
				View b8 = findViewById(R.id.button8); b8.setVisibility(View.INVISIBLE);
				break;
			case 8:
				View b9 = findViewById(R.id.button9); b9.setVisibility(View.INVISIBLE);
				break;
			case 9:
				View b10 = findViewById(R.id.button10); b10.setVisibility(View.INVISIBLE);
				break;
			case 10:
				View b11 = findViewById(R.id.button11); b11.setVisibility(View.INVISIBLE);
				break;
			case 11:
				View b12 = findViewById(R.id.button12); b12.setVisibility(View.INVISIBLE);
				break;
			}
		}
		
		public void showButtons(int indice){
			switch(indice){
			case 0:
				View b1 = findViewById(R.id.button1); b1.setVisibility(View.VISIBLE);
				break;
			case 1:
				View b2 = findViewById(R.id.button2); b2.setVisibility(View.VISIBLE);
				break;
			case 2:
				View b3 = findViewById(R.id.button3); b3.setVisibility(View.VISIBLE);
				break;
			case 3:
				View b4 = findViewById(R.id.button4); b4.setVisibility(View.VISIBLE);
				break;
			case 4:
				View b5 = findViewById(R.id.button5); b5.setVisibility(View.VISIBLE);
				break;
			case 5:
				View b6 = findViewById(R.id.button6); b6.setVisibility(View.VISIBLE);
				break;
			case 6:
				View b7 = findViewById(R.id.button7); b7.setVisibility(View.VISIBLE);
				break;
			case 7:
				View b8 = findViewById(R.id.button8); b8.setVisibility(View.VISIBLE);
				break;
			case 8:
				View b9 = findViewById(R.id.button9); b9.setVisibility(View.VISIBLE);
				break;
			case 9:
				View b10 = findViewById(R.id.button10); b10.setVisibility(View.VISIBLE);
				break;
			case 10:
				View b11 = findViewById(R.id.button11); b11.setVisibility(View.VISIBLE);
				break;
			case 11:
				View b12 = findViewById(R.id.button12); b12.setVisibility(View.VISIBLE);
				break;
			}
		}
		
		public void onDeclaration(View view){
			if (ordre ==0){
				ordre++;
				Button btn=(Button)findViewById(R.id.button1); btn.setEnabled(false);
			}else{
				nb_essais--;
				testNbEssais(view);
			}
		}
		
		public void onLettre(View view){
			if (ordre ==1){
				ordre++;
				Button btn=(Button)findViewById(R.id.button2); btn.setEnabled(false);
			}else{
				nb_essais--;
				testNbEssais(view);
			}
		}
		
		public void onAvis(View view){
			if (ordre ==2){
				ordre++;
				Button btn=(Button)findViewById(R.id.button3); btn.setEnabled(false);
			}else{
				nb_essais--;
				testNbEssais(view);
			}
		}
		
		public void onSigint(View view){
			if (ordre ==3){
				ordre++;
				Button btn=(Button)findViewById(R.id.button4); btn.setEnabled(false);
			}else{
				nb_essais--;
				testNbEssais(view);
			}
		}
		
		public void onConsint(View view){
			if (ordre ==4){
				ordre++;
				Button btn=(Button)findViewById(R.id.button5); btn.setEnabled(false);
			}else{
				nb_essais--;
				testNbEssais(view);
			}
		}
		
		public void onCclapp(View view){
			if (ordre ==5){
				ordre++;
				Button btn=(Button)findViewById(R.id.button6); btn.setEnabled(false);
			}else{
				nb_essais--;
				testNbEssais(view);
			}
		}

		public void onCclint(View view){
			if (ordre ==6){
				ordre++;
				Button btn=(Button)findViewById(R.id.button7); btn.setEnabled(false);
			}else{
				nb_essais--;
				testNbEssais(view);
			}
		}
		
		public void onCclappin(View view){
			if (ordre ==7){
				ordre++;
				Button btn=(Button)findViewById(R.id.button8); btn.setEnabled(false);
			}else{
				nb_essais--;
				testNbEssais(view);
			}
		}
		
		public void onOrdo(View view){
			if (ordre ==8){
				ordre++;
				Button btn=(Button)findViewById(R.id.button9); btn.setEnabled(false);
			}else{
				nb_essais--;
				testNbEssais(view);
			}
		}
		
		public void onDepot(View view){
			if (ordre ==9){
				ordre++;
				Button btn=(Button)findViewById(R.id.button10); btn.setEnabled(false);
			}else{
				nb_essais--;
				testNbEssais(view);
			}
		}
		
		public void onAud(View view){
			if (ordre ==10){
				ordre++;
				Button btn=(Button)findViewById(R.id.button11); btn.setEnabled(false);
			}else{
				nb_essais--;
				testNbEssais(view);
			}
		}
		
		public void onArret(View view){
			if (ordre ==11){
				ordre++;
				Button btn=(Button)findViewById(R.id.button12); btn.setEnabled(false);
				
				showGagne(view);
			}else{
				nb_essais--;
				testNbEssais(view);
			}
		}

}
