package com.example.seriousgame2;


import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.support.v4.app.NavUtils;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;

public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}
	
	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		switch (item.getItemId()) {
		case android.R.id.home:
			// This ID represents the Home or Up button. In the case of this
			// activity, the Up button is shown. Use NavUtils to allow users
			// to navigate up one level in the application structure. For
			// more details, see the Navigation pattern on Android Design:
			//
			// http://developer.android.com/design/patterns/navigation.html#up-vs-back
			//
			NavUtils.navigateUpFromSameTask(this);
			return true;
		case R.id.about:
			ouvrirAbout(findViewById(android.R.id.content));
			return true;
		}
		return super.onOptionsItemSelected(item);
	}
	
	public void ouvrirApprendre(View view){
		Intent intent = new Intent(this, ApprendreActivity.class);
		startActivity(intent);
	}
	
	public void ouvrirJeu(View view){
		Intent intent = new Intent(this, JeuActivity.class);
		startActivity(intent);
	}
	
	public void ouvrirEnfer(View view){
		Intent intent = new Intent(this, EnferActivity.class);
		startActivity(intent);
	}
	
	public void ouvrirAbout(View view){
		Intent intent = new Intent(this, AboutActivity.class);
		startActivity(intent);
	}
}
